class EventsController < ApplicationController
  before_action :authenticate_user!, except: :index

  def index
    @events = Event.where(appointment: params[:start]..params[:end])
  end

  def create
    # @event = current_user.events.create(event_params)
    @event = current_user.events.new(event_params)
    if @event.save
      # Perform Background Jobs
      ActionCable.server.broadcast("appointments", turbo_stream.replace(
        "appointments",
        partial: "events/event"
      ))
    end
    head :ok
  end

  def update
    @event = current_user.events.find(params[:id])
    if @event.update(event_params)
      # Perform Background Jobs
      ActionCable.server.broadcast("appointments", turbo_stream.replace(
        "appointments",
        partial: "events/event"
      ))
    end
    head :ok
  end

  private

  def event_params
    params.require(:event).permit(:appointment)
  end
end